package com.bonus.sharedstation.app.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.bonus.sharedstation.common.pojo.PageDTO;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 绿植订购一对多绿植数量表(GreenInfo)实体类
 *
 * @author makejava
 * @since 2024-12-13 10:42:38
 */
@Data
@TableName("yz_green_info")
public class GreenInfoDTO extends PageDTO implements Serializable {
    private static final long serialVersionUID = 716556758843254410L;

    private Integer id;
    /**
     * 绿植名称
     */
    private String greenName;
    /**
     * 单价
     */
    private Double greenPrice;
    /**
     * 单位
     */
    private String unit;
    /**
     * 备注（200字以内）
     */
    private String remarks;
    /**
     * 创建人
     */
    private String createdBy;
    /**
     * 创建时间
     */
    private Date createdTime;
    /**
     * 修改时间
     */
    private Date updatedTime;
    /**
     * 修改人
     */
    private String updatedBy;
    /**
     * 逻辑删除标识，1表示已删除，0表示未删除
     */
    private String isDeleted;

    private Integer tenantId;


    /**
     * 图片地址
     */
    private String url;

    private String type;


    @TableField(exist = false)
    private String typeName;



    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGreenName() {
        return greenName;
    }

    public void setGreenName(String greenName) {
        this.greenName = greenName;
    }

    public Double getGreenPrice() {
        return greenPrice;
    }

    public void setGreenPrice(Double greenPrice) {
        this.greenPrice = greenPrice;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

}

